## highlighting-kate 0.5.12

=== Makefile ===
# The build procedure, after a fresh checkout from the repository:

#     make prep
#     cabal install
#
# 'make prep' generates the Haskell syntax parsers from kate
# xml syntax definitions.

XMLS=$(glob xml/*.xml)

.PHONY: prep all test clean distclean install prof

all: prep
	cabal configure -fexecutable --enable-tests
	cabal build

prof:
	cabal configure --enable-library-profiling --enable-executable-profiling --disable-optimization -fexecutable
	cabal build

prep: clean ParseSyntaxFiles $(XMLS)
	./ParseSyntaxFiles xml
	@echo "Syntax parsers have been generated."
	@echo "You may now use cabal to build the package."

install:
	cabal install

test:
	cabal test

ParseSyntaxFiles: ParseSyntaxFiles.hs
	cabal install HXT regex-posix
	ghc --make -Wall ParseSyntaxFiles.hs  # requires HXT >= 9.0.0

clean:
	rm -rf Text/Highlighting/Kate/Syntax/*

distclean:
	rm -rf ParseSyntaxFiles.o ParseSyntaxFiles.hi ParseSyntaxFiles

## highlighting-kate 0.2.6.2

=== debian/changelog ===
highlighting-kate (0.2.6.2-1) unstable; urgency=low

  * New upstream release, even better build time improvements 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Mar 2010 13:17:08 +0100

highlighting-kate (0.2.6.1-1) unstable; urgency=low

  * New upstream release which incorporates our changes 
  * Remove debian/patches/Fix-source-encoding.patch, fixed upstream 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Mar 2010 23:03:27 +0100

highlighting-kate (0.2.5-5) unstable; urgency=low

  * Massively reduce compile time by tricking ghc not to inline a large word
    list 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Mar 2010 18:20:27 +0100

highlighting-kate (0.2.5-4) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * debian/patches/Fix-source-encoding.patch: Haskell source files ought to be
    UTF8. (Closes: #570964)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Feb 2010 15:18:01 +0100

highlighting-kate (0.2.5-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Update fields XS-Vcs-* to Vcs- and pointed them to
    the Debian Haskell Group repository.
  * debian/control: Use simpler version of Vcs-Browser.
  * debian/control: Use comma in the beginning of the line.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Use standard name for -doc package.
  * debian/control: Add Depends: ${misc:Depends} to -doc.
  * debian/control: Add ${haskell:Recommends} and Suggests, and Depends on
    -doc.

  [ Joachim Breitner ]
  * Bump dependency versions 

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 14:18:25 -0200

highlighting-kate (0.2.5-2) unstable; urgency=low

  * Copy a rule from hlibrary.mk to cater for the non-standard documentation
    package name

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Jul 2009 02:56:50 +0200

highlighting-kate (0.2.5-1) unstable; urgency=low

  * Take over by the Debian Haskell Group. Thanks to Recai for his previous
    maintenance.
  * New upstream version (Closes: #507338)
  * Redo packaging accoring to currenct practice

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Jul 2009 02:17:20 +0200

highlighting-kate (0.2.1-3) unstable; urgency=low

  * Brown paper bag release.  Add libghc6-parsec-prof to Build-Depends.
    Closes: #467589

 -- Recai Oktaş <roktas@debian.org>  Fri, 29 Feb 2008 00:09:00 +0200

highlighting-kate (0.2.1-2) unstable; urgency=low

  * Add libghc6-parsec-dev to Build-Depends.  Closes: #467589

 -- Recai Oktaş <roktas@debian.org>  Wed, 27 Feb 2008 21:37:43 +0200

highlighting-kate (0.2.1-1) unstable; urgency=low

  * Initial release.  Closes: #464920

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 20:33:08 +0200

=== debian/control ===
Source: highlighting-kate
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: cdbs
 , debhelper (>= 7)
 , haskell-devscripts (>= 0.7)
 , ghc6 
 , ghc6-prof
 , ghc6-doc
 , libghc6-parsec2-dev 
 , libghc6-parsec2-prof
 , libghc6-parsec2-doc
 , libghc6-xhtml-dev 
 , libghc6-xhtml-prof
 , libghc6-xhtml-doc
 , libghc6-pcre-light-dev 
 , libghc6-pcre-light-prof
 , haskell-pcre-light-doc
Standards-Version: 3.8.4
Homepage: http://johnmacfarlane.net/highlighting-kate
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/highlighting-kate

Package: libghc6-highlighting-kate-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: syntax highlighting library based on Kate syntax descriptions
 Highlighting-kate is a syntax highlighting library with support for over
 50 languages. The syntax parsers are automatically generated from Kate syntax
 descriptions (<http://kate-editor.org/>), so any syntax supported by Kate can
 be added.
 .
 Currently the following languages are supported: Ada, Asp, Awk, Bash, Bibtex,
 C, Cmake, Coldfusion, Commonlisp, Cpp, Css, D, Djangotemplate, Doxygen, Dtd,
 Eiffel, Erlang, Fortran, Haskell, Html, Java, Javadoc, Javascript, Json,
 Latex, Lex, LiterateHaskell, Lua, Makefile, Matlab, Mediawiki, Modula3, Nasm,
 Objectivec, Ocaml, Pascal, Perl, Php, Postscript, Prolog, Python, Rhtml, Ruby,
 Scala, Scheme, Sgml, Sql, SqlMysql, SqlPostgresql, Tcl, Texinfo, Xml, Xslt,
 Yacc.
 .
 This package provides a library for the Haskell programming language.  See
 http://www.haskell.org/ for more information on Haskell.

Package: libghc6-highlighting-kate-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: highlighting-kate library with profiling enabled
 Highlighting-kate is a syntax highlighting library with support for over
 50 languages. The syntax parsers are automatically generated from Kate syntax
 descriptions (<http://kate-editor.org/>), so any syntax supported by Kate can
 be added.
 .
 Currently the following languages are supported: Ada, Asp, Awk, Bash, Bibtex,
 C, Cmake, Coldfusion, Commonlisp, Cpp, Css, D, Djangotemplate, Doxygen, Dtd,
 Eiffel, Erlang, Fortran, Haskell, Html, Java, Javadoc, Javascript, Json,
 Latex, Lex, LiterateHaskell, Lua, Makefile, Matlab, Mediawiki, Modula3, Nasm,
 Objectivec, Ocaml, Pascal, Perl, Php, Postscript, Prolog, Python, Rhtml, Ruby,
 Scala, Scheme, Sgml, Sql, SqlMysql, SqlPostgresql, Tcl, Texinfo, Xml, Xslt,
 Yacc.
 .
 This package provides a library for the Haskell programming language, compiled
 for profiling.  See http://www.haskell.org/ for more information on Haskell.

Package: libghc6-highlighting-kate-doc
Section: doc
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Architecture: all
Description: library documentation for highlighting-kate
 Highlighting-kate is a syntax highlighting library with support for over
 50 languages. The syntax parsers are automatically generated from Kate syntax
 descriptions (<http://kate-editor.org/>), so any syntax supported by Kate can
 be added.
 .
 Currently the following languages are supported: Ada, Asp, Awk, Bash, Bibtex,
 C, Cmake, Coldfusion, Commonlisp, Cpp, Css, D, Djangotemplate, Doxygen, Dtd,
 Eiffel, Erlang, Fortran, Haskell, Html, Java, Javadoc, Javascript, Json,
 Latex, Lex, LiterateHaskell, Lua, Makefile, Matlab, Mediawiki, Modula3, Nasm,
 Objectivec, Ocaml, Pascal, Perl, Php, Postscript, Prolog, Python, Rhtml, Ruby,
 Scala, Scheme, Sgml, Sql, SqlMysql, SqlPostgresql, Tcl, Texinfo, Xml, Xslt,
 Yacc.
 .
 This package provides the documentation for a library for the Haskell
 programming language.  See http://www.haskell.org/ for more information on
 Haskell.

## highlighting-kate 0.2.7.1

=== debian/changelog ===
highlighting-kate (0.2.7.1-1build1) natty; urgency=low

  * No-change rebuild for library ABI change.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 29 Jan 2011 14:41:37 +0100

highlighting-kate (0.2.7.1-1) unstable; urgency=low

  * Priority: extra
  * New upstream version (Closes: #591168)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 02 Aug 2010 16:42:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
DEB_HADDOCK_HTML_DIR = /usr/share/doc/$(CABAL_PACKAGE)-doc/html/
DEB_SETUP_GHC6_CONFIGURE_ARGS = -fpcre-light
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

# This rule is copied from /usr/share/cdbs/1/class/hlibrary.mk to cater for the
# non-standard documentation package name

build/$(CABAL_PACKAGE)-doc:: dist-ghc6 build-haddock-stamp


install/$(CABAL_PACKAGE)-doc:: debian/tmp-inst-ghc6
	mv dist-ghc6 dist
	mkdir -p debian/$(notdir $@)/$(DEB_HADDOCK_HTML_DIR)
	cd debian/tmp-inst-ghc6/ ; find ./$(DEB_HADDOCK_HTML_DIR)/ \
		! -name "*.haddock" -exec install -Dm 644 '{}' \
		../$(notdir $@)/'{}' ';'
	mkdir -p debian/$(notdir $@)/$(DEB_HADDOCK_DIR)/../desc/
	grep -E '^(haddock-|name|version)' dist/installed-pkg-config > \
		debian/$(notdir $@)/$(DEB_HADDOCK_DIR)/../desc/$(notdir $@)
	dh_haskell_depends -p$(notdir $@)
	mv dist dist-ghc6

## highlighting-kate 0.2.9

=== debian/changelog ===
highlighting-kate (0.2.9-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Install documentation into standard location 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Apr 2011 15:29:11 +0530

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: highlighting-kate
 Section: haskell
-Priority: optional
+Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Build-Depends: cdbs
  , debhelper (>= 7)
- , haskell-devscripts (>= 0.7)
- , ghc6 
- , ghc6-prof
- , ghc6-doc
- , libghc6-parsec2-dev 
- , libghc6-parsec2-prof
- , libghc6-parsec2-doc
- , libghc6-xhtml-dev 
- , libghc6-xhtml-prof
- , libghc6-xhtml-doc
- , libghc6-pcre-light-dev 
- , libghc6-pcre-light-prof
- , haskell-pcre-light-doc
-Standards-Version: 3.8.4
+ , haskell-devscripts (>= 0.8)
+ , ghc 
+ , ghc-prof
+ , ghc-doc
+ , libghc-parsec3-dev 
+ , libghc-parsec3-prof
+ , libghc-parsec3-doc
+ , libghc-xhtml-dev 
+ , libghc-xhtml-prof
+ , libghc-xhtml-doc
+ , libghc-pcre-light-dev 
+ , libghc-pcre-light-prof
+ , libghc-pcre-light-doc
+Standards-Version: 3.9.1
 Homepage: http://johnmacfarlane.net/highlighting-kate
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/highlighting-kate
 
-Package: libghc6-highlighting-kate-dev
+Package: libghc-highlighting-kate-dev
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
@@ -46,7 +46,7 @@
  This package provides a library for the Haskell programming language.  See
  http://www.haskell.org/ for more information on Haskell.
 
-Package: libghc6-highlighting-kate-prof
+Package: libghc-highlighting-kate-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
@@ -69,7 +69,7 @@
  This package provides a library for the Haskell programming language, compiled
  for profiling.  See http://www.haskell.org/ for more information on Haskell.
 
-Package: libghc6-highlighting-kate-doc
+Package: libghc-highlighting-kate-doc
 Section: doc
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}

## highlighting-kate 0.5.0.5

=== debian/changelog ===
highlighting-kate (0.5.0.5-1) unstable; urgency=low

  * New upstream release
  * DM-Upload-Allowed: yes
  * New debian/control file like highlighting-kate.cabal
  * Fix spelling of PHP and SQL in description (Closes: #630158)

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Tue, 28 Feb 2012 15:25:47 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Uploaders: Joachim Breitner <nomeata@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: cdbs
  , debhelper (>= 7)
  , haskell-devscripts (>= 0.8)
@@ -15,13 +15,22 @@
  , libghc-xhtml-dev 
  , libghc-xhtml-prof
  , libghc-xhtml-doc
- , libghc-pcre-light-dev 
+ , libghc-pcre-light-dev (>= 0.4)
+ , libghc-pcre-light-dev (<< 0.5)
  , libghc-pcre-light-prof
  , libghc-pcre-light-doc
-Standards-Version: 3.9.1
+ , libghc-blaze-html-dev (>= 0.4.2)
+ , libghc-blaze-html-dev (<< 0.5)
+ , libghc-blaze-html-doc
+ , libghc-blaze-html-prof
+ , libghc-mtl-dev
+ , libghc-mtl-doc
+ , libghc-mtl-prof
+Standards-Version: 3.9.3
 Homepage: http://johnmacfarlane.net/highlighting-kate
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/highlighting-kate
+DM-Upload-Allowed: yes
 
 Package: libghc-highlighting-kate-dev
 Architecture: any
@@ -39,8 +48,8 @@
  C, Cmake, Coldfusion, Commonlisp, Cpp, Css, D, Djangotemplate, Doxygen, Dtd,
  Eiffel, Erlang, Fortran, Haskell, Html, Java, Javadoc, Javascript, Json,
  Latex, Lex, LiterateHaskell, Lua, Makefile, Matlab, Mediawiki, Modula3, Nasm,
- Objectivec, Ocaml, Pascal, Perl, Php, Postscript, Prolog, Python, Rhtml, Ruby,
- Scala, Scheme, Sgml, Sql, SqlMysql, SqlPostgresql, Tcl, Texinfo, Xml, Xslt,
+ Objectivec, Ocaml, Pascal, Perl, PHP, Postscript, Prolog, Python, Rhtml, Ruby,
+ Scala, Scheme, Sgml, SQL, MySQL, PostgreSQL, Tcl, Texinfo, Xml, Xslt,
  Yacc.
  .
  This package provides a library for the Haskell programming language.  See
@@ -62,8 +71,8 @@
  C, Cmake, Coldfusion, Commonlisp, Cpp, Css, D, Djangotemplate, Doxygen, Dtd,
  Eiffel, Erlang, Fortran, Haskell, Html, Java, Javadoc, Javascript, Json,
  Latex, Lex, LiterateHaskell, Lua, Makefile, Matlab, Mediawiki, Modula3, Nasm,
- Objectivec, Ocaml, Pascal, Perl, Php, Postscript, Prolog, Python, Rhtml, Ruby,
- Scala, Scheme, Sgml, Sql, SqlMysql, SqlPostgresql, Tcl, Texinfo, Xml, Xslt,
+ Objectivec, Ocaml, Pascal, Perl, PHP, Postscript, Prolog, Python, Rhtml, Ruby,
+ Scala, Scheme, Sgml, SQL, MySQL, PostgreSQL, Tcl, Texinfo, Xml, Xslt,
  Yacc.
  .
  This package provides a library for the Haskell programming language, compiled
@@ -85,8 +94,8 @@
  C, Cmake, Coldfusion, Commonlisp, Cpp, Css, D, Djangotemplate, Doxygen, Dtd,
  Eiffel, Erlang, Fortran, Haskell, Html, Java, Javadoc, Javascript, Json,
  Latex, Lex, LiterateHaskell, Lua, Makefile, Matlab, Mediawiki, Modula3, Nasm,
- Objectivec, Ocaml, Pascal, Perl, Php, Postscript, Prolog, Python, Rhtml, Ruby,
- Scala, Scheme, Sgml, Sql, SqlMysql, SqlPostgresql, Tcl, Texinfo, Xml, Xslt,
+ Objectivec, Ocaml, Pascal, Perl, PHP, Postscript, Prolog, Python, Rhtml, Ruby,
+ Scala, Scheme, Sgml, SQL, MySQL, PostgreSQL, Tcl, Texinfo, Xml, Xslt,
  Yacc.
  .
  This package provides the documentation for a library for the Haskell

## highlighting-kate 0.5.1

=== debian/changelog ===
highlighting-kate (0.5.1-1build1) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2-2

 -- Iain Lane <laney@ubuntu.com>  Sun, 12 Aug 2012 12:39:01 +0000

highlighting-kate (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 16 Jun 2012 12:51:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
DEB_SETUP_GHC6_CONFIGURE_ARGS = -fpcre-light
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|highlighting-kate-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/highlighting-kate \
    ([\d\.]*\d)/

## highlighting-kate 0.5.3.8

=== debian/changelog ===
highlighting-kate (0.5.3.8-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 11:57:59 +0100

highlighting-kate (0.5.3.8-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:44 +0200

highlighting-kate (0.5.3.8-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Mar 2013 00:59:29 +0100

highlighting-kate (0.5.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: cdbs
- , debhelper (>= 7)
- , haskell-devscripts (>= 0.8)
+ , debhelper (>= 9)
+ , haskell-devscripts (>= 0.8.15)
  , ghc 
  , ghc-prof
  , ghc-doc
@@ -20,13 +20,13 @@
  , libghc-pcre-light-prof
  , libghc-pcre-light-doc
  , libghc-blaze-html-dev (>= 0.4.2)
- , libghc-blaze-html-dev (<< 0.5)
+ , libghc-blaze-html-dev (<< 0.7)
  , libghc-blaze-html-doc
  , libghc-blaze-html-prof
  , libghc-mtl-dev
  , libghc-mtl-doc
  , libghc-mtl-prof
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://johnmacfarlane.net/highlighting-kate
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/highlighting-kate
@@ -38,7 +38,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: syntax highlighting library based on Kate syntax descriptions
+Description: syntax highlighting library based on Kate syntax descriptions${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
  descriptions (<http://kate-editor.org/>), so any syntax supported by Kate can
@@ -52,8 +52,7 @@
  Scala, Scheme, Sgml, SQL, MySQL, PostgreSQL, Tcl, Texinfo, Xml, Xslt,
  Yacc.
  .
- This package provides a library for the Haskell programming language.  See
- http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
 
 Package: libghc-highlighting-kate-prof
 Architecture: any
@@ -61,7 +60,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: highlighting-kate library with profiling enabled
+Description: highlighting-kate library with profiling enabled${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
  descriptions (<http://kate-editor.org/>), so any syntax supported by Kate can
@@ -75,8 +74,7 @@
  Scala, Scheme, Sgml, SQL, MySQL, PostgreSQL, Tcl, Texinfo, Xml, Xslt,
  Yacc.
  .
- This package provides a library for the Haskell programming language, compiled
- for profiling.  See http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
 
 Package: libghc-highlighting-kate-doc
 Section: doc
@@ -84,7 +82,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Architecture: all
-Description: library documentation for highlighting-kate
+Description: library documentation for highlighting-kate${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
  descriptions (<http://kate-editor.org/>), so any syntax supported by Kate can
@@ -98,6 +96,4 @@
  Scala, Scheme, Sgml, SQL, MySQL, PostgreSQL, Tcl, Texinfo, Xml, Xslt,
  Yacc.
  .
- This package provides the documentation for a library for the Haskell
- programming language.  See http://www.haskell.org/ for more information on
- Haskell.
+ ${haskell:Blurb}

## highlighting-kate 0.5.5.1

=== debian/changelog ===
highlighting-kate (0.5.5.1-1build2) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Dec 2013 01:54:25 +0000

highlighting-kate (0.5.5.1-1build1) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Dec 2013 04:34:48 +0000

highlighting-kate (0.5.5.1-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 24 Nov 2013 19:45:33 -0500

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,27 @@
 Build-Depends: cdbs
  , debhelper (>= 9)
  , haskell-devscripts (>= 0.8.15)
- , ghc 
+ , ghc
  , ghc-prof
- , ghc-doc
- , libghc-parsec3-dev 
+ , libghc-parsec3-dev
  , libghc-parsec3-prof
- , libghc-parsec3-doc
- , libghc-xhtml-dev 
- , libghc-xhtml-prof
- , libghc-xhtml-doc
  , libghc-pcre-light-dev (>= 0.4)
  , libghc-pcre-light-dev (<< 0.5)
  , libghc-pcre-light-prof
- , libghc-pcre-light-doc
  , libghc-blaze-html-dev (>= 0.4.2)
  , libghc-blaze-html-dev (<< 0.7)
- , libghc-blaze-html-doc
  , libghc-blaze-html-prof
  , libghc-mtl-dev
+ , libghc-mtl-prof
+Build-Depends-Indep: ghc-doc
+ , libghc-blaze-html-doc
+ , libghc-parsec3-doc
+ , libghc-pcre-light-doc
  , libghc-mtl-doc
- , libghc-mtl-prof
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://johnmacfarlane.net/highlighting-kate
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/highlighting-kate
-DM-Upload-Allowed: yes
 
 Package: libghc-highlighting-kate-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
DEB_SETUP_GHC_CONFIGURE_ARGS = -fpcre-light
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## highlighting-kate 0.5.8.5

=== debian/changelog ===
highlighting-kate (0.5.8.5-2) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Aug 2014 01:01:50 +0200

highlighting-kate (0.5.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 06 Jun 2014 08:17:50 -0400

highlighting-kate (0.5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 09 May 2014 21:28:08 -0400

highlighting-kate (0.5.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 07 Mar 2014 13:02:05 +0100

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,18 @@
  , libghc-pcre-light-dev (<< 0.5)
  , libghc-pcre-light-prof
  , libghc-blaze-html-dev (>= 0.4.2)
- , libghc-blaze-html-dev (<< 0.7)
+ , libghc-blaze-html-dev (<< 0.8)
  , libghc-blaze-html-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
+ , libghc-utf8-string-dev
+ , libghc-utf8-string-prof
 Build-Depends-Indep: ghc-doc
  , libghc-blaze-html-doc
  , libghc-parsec3-doc
  , libghc-pcre-light-doc
  , libghc-mtl-doc
+ , libghc-utf8-string-doc
 Standards-Version: 3.9.5
 Homepage: http://johnmacfarlane.net/highlighting-kate
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate

## highlighting-kate 0.5.12

=== debian/changelog ===
highlighting-kate (0.5.12-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:53 +0200

highlighting-kate (0.5.12-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 11:49:27 +0200

highlighting-kate (0.5.11.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Dec 2014 12:37:18 +0100

highlighting-kate (0.5.8.5-3) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Joachim Breitner <nomeata@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: cdbs
  , debhelper (>= 9)
- , haskell-devscripts (>= 0.8.15)
+ , haskell-devscripts (>= 0.9)
  , ghc
  , ghc-prof
  , libghc-parsec3-dev
@@ -14,7 +14,7 @@
  , libghc-pcre-light-dev (<< 0.5)
  , libghc-pcre-light-prof
  , libghc-blaze-html-dev (>= 0.4.2)
- , libghc-blaze-html-dev (<< 0.8)
+ , libghc-blaze-html-dev (<< 0.9)
  , libghc-blaze-html-prof
  , libghc-mtl-dev
  , libghc-mtl-prof

## highlighting-kate 0.6

=== debian/changelog ===
highlighting-kate (0.6-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

highlighting-kate (0.6-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:12 +0200

## highlighting-kate 0.6.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 ParseSyntaxFiles: ParseSyntaxFiles.hs
 	cabal install HXT regex-posix
-	ghc --make -Wall ParseSyntaxFiles.hs  # requires HXT >= 9.0.0
+	cabal exec ghc -- --make -Wall ParseSyntaxFiles.hs  # requires HXT >= 9.0.0
 
 clean:
 	rm -rf Text/Highlighting/Kate/Syntax/*

=== debian/changelog ===
highlighting-kate (0.6.1-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 22:34:02 +0000

highlighting-kate (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 23:17:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,45 @@
 Source: highlighting-kate
-Section: haskell
-Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: cdbs
- , debhelper (>= 9)
- , haskell-devscripts (>= 0.9)
- , ghc
- , ghc-prof
- , libghc-parsec3-dev
- , libghc-parsec3-prof
- , libghc-pcre-light-dev (>= 0.4)
- , libghc-pcre-light-dev (<< 0.5)
- , libghc-pcre-light-prof
- , libghc-blaze-html-dev (>= 0.4.2)
- , libghc-blaze-html-dev (<< 0.9)
- , libghc-blaze-html-prof
- , libghc-mtl-dev
- , libghc-mtl-prof
- , libghc-utf8-string-dev
- , libghc-utf8-string-prof
-Build-Depends-Indep: ghc-doc
- , libghc-blaze-html-doc
- , libghc-parsec3-doc
- , libghc-pcre-light-doc
- , libghc-mtl-doc
- , libghc-utf8-string-doc
-Standards-Version: 3.9.5
-Homepage: http://johnmacfarlane.net/highlighting-kate
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/highlighting-kate
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/highlighting-kate
+Priority: extra
+Section: haskell
+Build-Depends: debhelper (>= 9),
+ haskell-devscripts (>= 0.10),
+ cdbs,
+ ghc,
+ ghc-prof,
+ libghc-blaze-html-dev (>= 0.4.2),
+ libghc-blaze-html-dev (<< 0.9),
+ libghc-blaze-html-prof,
+ libghc-mtl-dev,
+ libghc-mtl-prof,
+ libghc-parsec3-dev,
+ libghc-parsec3-prof,
+ libghc-pcre-light-dev (>= 0.4),
+ libghc-pcre-light-dev (<< 0.5),
+ libghc-pcre-light-prof,
+ libghc-utf8-string-dev,
+ libghc-utf8-string-prof,
+ libghc-diff-dev,
+Build-Depends-Indep: ghc-doc,
+ libghc-blaze-html-doc,
+ libghc-mtl-doc,
+ libghc-parsec3-doc,
+ libghc-pcre-light-doc,
+ libghc-utf8-string-doc,
+Standards-Version: 3.9.6
+Homepage: http://github.com/jgm/highlighting-kate
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-highlighting-kate-dev
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${haskell:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
-Provides: ${haskell:Provides}
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ ${haskell:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: syntax highlighting library based on Kate syntax descriptions${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
@@ -55,10 +58,12 @@
 
 Package: libghc-highlighting-kate-prof
 Architecture: any
-Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
-Provides: ${haskell:Provides}
+Depends: ${haskell:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: highlighting-kate library with profiling enabled${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
@@ -76,11 +81,12 @@
  ${haskell:Blurb}
 
 Package: libghc-highlighting-kate-doc
+Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${haskell:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
-Architecture: all
+Depends: ${misc:Depends},
+ ${haskell:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
 Description: library documentation for highlighting-kate${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax

=== debian/watch ===
version=3
http://hackage.haskell.org/package/highlighting-kate/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## highlighting-kate 0.6.2

=== debian/changelog ===
highlighting-kate (0.6.2-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2016 18:24:00 +0100

highlighting-kate (0.6.2-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:21:09 +0200

## highlighting-kate 0.6.2.1

=== debian/changelog ===
highlighting-kate (0.6.2.1-1build1) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Aug 2016 15:09:08 +0200

highlighting-kate (0.6.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 15:55:59 -0400

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  libghc-parsec3-doc,
  libghc-pcre-light-doc,
  libghc-utf8-string-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://github.com/jgm/highlighting-kate
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-highlighting-kate-dev
 Architecture: any

## highlighting-kate 0.6.3

=== debian/changelog ===
highlighting-kate (0.6.3-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:18 -0400

highlighting-kate (0.6.3-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 00:58:00 -0400

highlighting-kate (0.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 29 Sep 2016 12:00:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: highlighting-kate
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
+Uploaders:
+ Joachim Breitner <nomeata@debian.org>,
+ Kiwamu Okabe <kiwamu@debian.or.jp>,
 Priority: extra
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 9),
+ ghc (>= 8),
  ghc-prof,
+ haskell-devscripts (>= 0.13),
+ libghc-blaze-html-dev (<< 0.9),
  libghc-blaze-html-dev (>= 0.4.2),
- libghc-blaze-html-dev (<< 0.9),
  libghc-blaze-html-prof,
+ libghc-diff-dev,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-parsec3-dev,
  libghc-parsec3-prof,
+ libghc-pcre-light-dev (<< 0.5),
  libghc-pcre-light-dev (>= 0.4),
- libghc-pcre-light-dev (<< 0.5),
  libghc-pcre-light-prof,
  libghc-utf8-string-dev,
  libghc-utf8-string-prof,
- libghc-diff-dev,
-Build-Depends-Indep: ghc-doc,
+Build-Depends-Indep:
+ ghc-doc,
  libghc-blaze-html-doc,
  libghc-mtl-doc,
  libghc-parsec3-doc,
@@ -29,17 +33,21 @@
  libghc-utf8-string-doc,
 Standards-Version: 3.9.8
 Homepage: http://github.com/jgm/highlighting-kate
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/highlighting-kate
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-highlighting-kate-dev
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${haskell:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: syntax highlighting library based on Kate syntax descriptions${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
@@ -58,12 +66,16 @@
 
 Package: libghc-highlighting-kate-prof
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: highlighting-kate library with profiling enabled${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax
@@ -83,10 +95,13 @@
 Package: libghc-highlighting-kate-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
+ ${misc:Depends},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
 Description: library documentation for highlighting-kate${haskell:ShortBlurb}
  Highlighting-kate is a syntax highlighting library with support for over
  50 languages. The syntax parsers are automatically generated from Kate syntax

## highlighting-kate 0.6.4

=== Makefile ===
# The build procedure, after a fresh checkout from the repository:

#     make prep
#     stack install --test
#
# 'make prep' generates the Haskell syntax parsers from kate
# xml syntax definitions.

XMLS=$(glob xml/*.xml)

.PHONY: prep all test clean distclean install prof

all: prep
	stack build --install-ghc --test

prof:
	stack build --library-profiling --executable-profiling --fast

prep: clean $(XMLS)
	stack install --install-ghc hxt regex-posix
	stack runghc ./ParseSyntaxFiles.hs xml
	@echo "Syntax parsers have been generated."
	@echo "You may now use cabal to build the package."

install:
	stack install

test:
	stack test

clean:
	rm -rf Text/Highlighting/Kate/Syntax/*

distclean:
	rm -rf ParseSyntaxFiles.o ParseSyntaxFiles.hi ParseSyntaxFiles

=== debian/changelog ===
highlighting-kate (0.6.4-6build4) kinetic; urgency=medium

  * No-change rebuild for new ghc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 06:43:26 +0000

highlighting-kate (0.6.4-6build3) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:58:02 +0000

highlighting-kate (0.6.4-6build2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Aug 2020 12:46:27 +0200

highlighting-kate (0.6.4-6build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 12:43:23 +0200

highlighting-kate (0.6.4-6) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 22 Jun 2020 14:16:39 +0300

highlighting-kate (0.6.4-5) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:16 +0300

highlighting-kate (0.6.4-4) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:39 +0300

highlighting-kate (0.6.4-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:05 +0300

highlighting-kate (0.6.4-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

highlighting-kate (0.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:41:17 -0400

=== debian/watch ===
version=3
https://hackage.haskell.org/package/highlighting-kate/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
